﻿using System;
using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Mvc;

namespace AccessingRequest.Controllers
{
    [ApiController]
    [Route("[controller]")]
    public class ValuesController : ControllerBase
    {
        private readonly INumberGeneratorService _numberGeneratorService;
        public ValuesController(IHttpContextAccessor httpContextAccessor, INumberGeneratorService numberGeneratorService)
        {
            _numberGeneratorService = numberGeneratorService;
            Console.WriteLine($"Request.Host inside constructor of controller : {httpContextAccessor.HttpContext.Request.Host.Value}");
        }

        [HttpGet]
        public ActionResult Get()
        {
           return Ok(_numberGeneratorService.GetValue());
        }
    }
}
